git: 8b70cff180cb - 2026Q1 - databases/postgresql*-*: Revert "Update to latest version"

From: Robert Clausecker <fuz_at_FreeBSD.org>
Date: Sun, 15 Mar 2026 22:01:22 UTC
The branch 2026Q1 has been updated by fuz:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8b70cff180cb5b52b93afc408ce15d8e7d1168a4

commit 8b70cff180cb5b52b93afc408ce15d8e7d1168a4
Author:     Robert Clausecker <fuz@FreeBSD.org>
AuthorDate: 2026-03-15 21:57:51 +0000
Commit:     Robert Clausecker <fuz@FreeBSD.org>
CommitDate: 2026-03-15 22:01:01 +0000

    databases/postgresql*-*: Revert "Update to latest version"
    
    This restores databases/postgresql13-*, unbreaking the quarterly tree.
    Please do not remove ports from quarterly if possible and if you do,
    please test that the removal doesn't break anything!
    
    Approved by:    portmgr (build fix blanket)
    Reported by:    antoine
    
    This reverts commit 7a01ab5cf6ffa91eae6cf6a372db56978608b2db.
---
 MOVED                                              |    8 -
 databases/Makefile                                 |    8 +
 databases/postgresql13-client/Makefile             |   24 +
 databases/postgresql13-contrib/Makefile            |   41 +
 databases/postgresql13-contrib/pkg-descr           |   21 +
 databases/postgresql13-docs/Makefile               |    3 +
 databases/postgresql13-pgtcl/Makefile              |    9 +
 databases/postgresql13-plperl/Makefile             |   27 +
 databases/postgresql13-plpython/Makefile           |   29 +
 databases/postgresql13-plpython/pkg-descr          |    4 +
 databases/postgresql13-pltcl/Makefile              |   32 +
 databases/postgresql13-server/Makefile             |   27 +
 databases/postgresql13-server/distinfo             |    3 +
 databases/postgresql13-server/files/502.pgsql.in   |  114 ++
 databases/postgresql13-server/files/dot.cshrc.in   |   11 +
 databases/postgresql13-server/files/dot.profile.in |   22 +
 .../postgresql13-server/files/patch-doc-Makefile   |    9 +
 .../files/patch-doc-src-sgml-Makefile              |   41 +
 .../files/patch-src-Makefile.shlib                 |   11 +
 .../files/patch-src-backend-Makefile               |   11 +
 ...h-src_backend_utils_misc_postgresql.conf.sample |   10 +
 .../files/pkg-message-client.in                    |   38 +
 .../files/pkg-message-contrib.in                   |    9 +
 .../files/pkg-message-plperl.in                    |    9 +
 .../files/pkg-message-plpython.in                  |    9 +
 .../postgresql13-server/files/pkg-message-pltcl.in |    9 +
 .../files/pkg-message-server.in                    |   71 +
 .../postgresql13-server/files/pkgIndex.tcl.in      |    4 +
 databases/postgresql13-server/files/postgresql.in  |  126 ++
 databases/postgresql13-server/pkg-descr            |   21 +
 databases/postgresql13-server/pkg-install-server   |   23 +
 databases/postgresql13-server/pkg-plist-client     | 1242 ++++++++++++++++
 databases/postgresql13-server/pkg-plist-contrib    |  239 +++
 databases/postgresql13-server/pkg-plist-plperl     |   25 +
 databases/postgresql13-server/pkg-plist-plpython   |   45 +
 databases/postgresql13-server/pkg-plist-pltcl      |    6 +
 databases/postgresql13-server/pkg-plist-server     | 1546 ++++++++++++++++++++
 37 files changed, 3879 insertions(+), 8 deletions(-)

diff --git a/MOVED b/MOVED
index 23264d6555b3..8f133d6e25e7 100644
--- a/MOVED
+++ b/MOVED
@@ -5077,11 +5077,3 @@ lang/python-doc-pdf-a4||2026-02-05|A4-size PDF no longer provided since 3.13
 sysutils/android-file-transfer-qt5||2026-02-11|Removed as qt5 is being deprecated
 devel/rubygem-flipper-active_support_cache_store-rails70|devel/rubygem-flipper-active_support_cache_store|2026-02-10|Remove obsoleted port. Use devel/rubygem-flipper-active_support_cache_store instead
 databases/rubygem-flipper-active_record-rails70|databases/rubygem-flipper-active_record|2026-02-10|Remove obsoleted port. Use databases/rubygem-flipper-active_record instead
-databases/postgresql13-contrib||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-client||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-plperl||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-pltcl||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-plpython||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-docs||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
-databases/postgresql13-pgtcl||2026-02-12|Removed, PostgreSQL-13 is end-of-life
-databases/postgresql13-server||2026-02-12|Has expired: PostgreSQL-13 is end-of-life
diff --git a/databases/Makefile b/databases/Makefile
index 96238e660012..285a83e278fd 100644
--- a/databases/Makefile
+++ b/databases/Makefile
@@ -667,6 +667,14 @@
     SUBDIR += postgresql-tds_fdw
     SUBDIR += postgresql-wal2json
     SUBDIR += postgresql-zhparser
+    SUBDIR += postgresql13-client
+    SUBDIR += postgresql13-contrib
+    SUBDIR += postgresql13-docs
+    SUBDIR += postgresql13-pgtcl
+    SUBDIR += postgresql13-plperl
+    SUBDIR += postgresql13-plpython
+    SUBDIR += postgresql13-pltcl
+    SUBDIR += postgresql13-server
     SUBDIR += postgresql14-client
     SUBDIR += postgresql14-contrib
     SUBDIR += postgresql14-docs
diff --git a/databases/postgresql13-client/Makefile b/databases/postgresql13-client/Makefile
new file mode 100644
index 000000000000..4c695aa79113
--- /dev/null
+++ b/databases/postgresql13-client/Makefile
@@ -0,0 +1,24 @@
+PORTNAME=	postgresql
+PORTREVISION=	2
+
+COMMENT=	PostgreSQL database (client)
+
+MASTERDIR=	${.CURDIR}/../postgresql13-server
+
+BUILD_DIRS=	config src/include src/interfaces src/port src/fe_utils \
+		src/bin/pg_dump src/bin/psql src/bin/scripts src/bin/pg_config \
+		src/bin/pgbench doc src/makefiles src/test/regress
+INSTALL_DIRS=	${BUILD_DIRS}
+
+CLIENT_ONLY=	yes
+COMPONENT=	-client
+USE_LDCONFIG=	yes
+USES=		pkgconfig
+
+OPTIONS_DEFINE+=LIBEDIT DOCS
+LIBEDIT_DESC=	Use non-GPL libedit instead of readline
+LIBEDIT_CONFIGURE_ON+=--with-libedit-preferred
+LIBEDIT_USES=	libedit
+LIBEDIT_USES_OFF=readline
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-contrib/Makefile b/databases/postgresql13-contrib/Makefile
new file mode 100644
index 000000000000..7bac5c915b90
--- /dev/null
+++ b/databases/postgresql13-contrib/Makefile
@@ -0,0 +1,41 @@
+PORTNAME=	postgresql
+PORTREVISION=	1
+CATEGORIES=	databases
+
+MAINTAINER=	pgsql@FreeBSD.org
+COMMENT=	The contrib utilities from the PostgreSQL distribution
+
+MASTERDIR=	${.CURDIR}/../postgresql13-server
+
+USES=		bison pgsql:${PORTVERSION:R}
+
+BUILD_DIRS=	src/port src/include src/common contrib
+INSTALL_DIRS=	contrib
+
+# this port fails to build in parallel
+MAKE_JOBS_UNSAFE=	yes
+
+SLAVE_ONLY=	yes
+COMPONENT=	-contrib
+CONFIGURE_ARGS=	--disable-nls --with-uuid=bsd
+LDFLAGS+=	-lpthread -L${PREFIX}/lib
+
+OPTIONS_DEFINE=	DOCS OPENSSL XML
+OPTIONS_DEFAULT=OPENSSL XML
+OPTIONS_SUB=	yes
+
+OPENSSL_DESC=		Build with OpenSSL support
+OPENSSL_USES=		ssl
+OPENSSL_CONFIGURE_WITH=	openssl
+
+XML_CONFIGURE_WITH=	libxslt libxml
+XML_LIB_DEPENDS=libxslt.so:textproc/libxslt \
+		libxml2.so:textproc/libxml2
+
+post-configure:
+	@cd ${WRKSRC}/src/backend && ${SETENVI} ${WRK_ENV} ${MAKE_ENV} ${MAKE_CMD} symlinks
+
+post-install:
+	@- ${INSTALL_DATA} ${WRKSRC}/contrib/README ${STAGEDIR}${DOCSDIR}/extension/README
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-contrib/pkg-descr b/databases/postgresql13-contrib/pkg-descr
new file mode 100644
index 000000000000..a384c76fdbde
--- /dev/null
+++ b/databases/postgresql13-contrib/pkg-descr
@@ -0,0 +1,21 @@
+This is the port for all stuff that comes in the contrib subtree of
+the postgresql distribution. This subtree contains porting tools,
+analysis utilities, and plug-in features that are not part of the core
+PostgreSQL system, mainly because they address a limited audience or
+are too experimental to be part of the main source tree.  This does
+not preclude their usefulness.
+
+Each subdirectory contains a README file with information about the
+module. Some directories supply new user-defined functions, operators,
+or types.  After you have installed the files you need to register the
+new entities in the database system by running the commands in the
+supplied .sql file.  For example,
+
+        $ psql -d dbname -f module.sql
+
+The .sql files are installed into /usr/local/share/postgresql/contrib
+
+For more information, please see
+/usr/local/share/doc/postgresql/contrib/README*
+
+This software is part of the standard PostgreSQL distribution.
diff --git a/databases/postgresql13-docs/Makefile b/databases/postgresql13-docs/Makefile
new file mode 100644
index 000000000000..8b62e05d816b
--- /dev/null
+++ b/databases/postgresql13-docs/Makefile
@@ -0,0 +1,3 @@
+WANT_PGSQL_VER=13
+
+.include "${.CURDIR}/../postgresql16-docs/Makefile"
diff --git a/databases/postgresql13-pgtcl/Makefile b/databases/postgresql13-pgtcl/Makefile
new file mode 100644
index 000000000000..85e256b000b7
--- /dev/null
+++ b/databases/postgresql13-pgtcl/Makefile
@@ -0,0 +1,9 @@
+PORTREVISION=	0
+PKGNAMESUFFIX=	-postgresql13
+
+CONFLICTS=	pgtcl pgtcl-postgresql9[0123456] pgtcl-postgresql1[012-49]
+
+PGTCL_SLAVE=	13
+MASTERDIR=	${.CURDIR}/../pgtcl
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-plperl/Makefile b/databases/postgresql13-plperl/Makefile
new file mode 100644
index 000000000000..e9e62865c07b
--- /dev/null
+++ b/databases/postgresql13-plperl/Makefile
@@ -0,0 +1,27 @@
+PORTNAME=	postgresql
+# Keep the ?=, this port is used as master by the other plperl.
+PORTREVISION?=	1
+CATEGORIES=	databases perl5
+PKGNAMESUFFIX?=	${WANT_PGSQL_VER}${COMPONENT}
+
+MAINTAINER=	pgsql@FreeBSD.org
+COMMENT=	Write SQL functions for PostgreSQL using Perl5
+
+RUN_DEPENDS=	postgres:databases/postgresql${WANT_PGSQL_VER}-server
+
+MASTERDIR=	${.CURDIR}/../../databases/postgresql${WANT_PGSQL_VER}-server
+
+WANT_PGSQL_VER?=13
+
+USES+=		perl5 readline
+CONFIGURE_ARGS=	--with-perl
+
+BUILD_DIRS=	src/backend ${INSTALL_DIRS}
+INSTALL_DIRS?=	src/pl/plperl contrib/bool_plperl contrib/hstore_plperl contrib/jsonb_plperl
+SLAVE_ONLY=	yes
+COMPONENT=	-plperl
+
+# this port fails to build in parallel
+MAKE_JOBS_UNSAFE=	yes
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-plpython/Makefile b/databases/postgresql13-plpython/Makefile
new file mode 100644
index 000000000000..ae0a17b2ade0
--- /dev/null
+++ b/databases/postgresql13-plpython/Makefile
@@ -0,0 +1,29 @@
+PORTNAME=	postgresql
+CATEGORIES=	databases python
+# Keep the ?=, it is used as master by the other plpython ports.
+PORTREVISION?=	1
+PKGNAMESUFFIX?=	${WANT_PGSQL_VER}${COMPONENT}
+
+MAINTAINER=	pgsql@FreeBSD.org
+COMMENT=	Module for using Python to write SQL functions
+WWW=		https://www.postgresql.org/
+
+USES+=		pgsql:${WANT_PGSQL_VER} ${WANT_PYTHON_USE}
+WANT_PGSQL=	server
+
+MASTERDIR=	${.CURDIR}/../postgresql${WANT_PGSQL_VER}-server
+
+WANT_PGSQL_VER?=	13
+WANT_PYTHON_USE?=	python
+
+CONFIGURE_ARGS=	--with-python
+COMPONENT=	-plpython
+
+BUILD_DIRS=	src/backend ${INSTALL_DIRS}
+INSTALL_DIRS?=	src/pl/plpython contrib/hstore_plpython contrib/jsonb_plpython contrib/ltree_plpython
+SLAVE_ONLY=	yes
+
+# this port fails to build in parallel
+MAKE_JOBS_UNSAFE=	yes
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-plpython/pkg-descr b/databases/postgresql13-plpython/pkg-descr
new file mode 100644
index 000000000000..61c4875985f7
--- /dev/null
+++ b/databases/postgresql13-plpython/pkg-descr
@@ -0,0 +1,4 @@
+PL/Python allows one to write PostgeSQL stored functions and
+procedures in Python (http://www.python.org/).
+
+This software is part of the standard PostgreSQL distribution.
diff --git a/databases/postgresql13-pltcl/Makefile b/databases/postgresql13-pltcl/Makefile
new file mode 100644
index 000000000000..ff44a92f86f4
--- /dev/null
+++ b/databases/postgresql13-pltcl/Makefile
@@ -0,0 +1,32 @@
+PORTNAME=	postgresql
+# Keep the ?=, it is used by the other pltcl ports.
+PORTREVISION?=	1
+CATEGORIES=	databases tcl
+PKGNAMESUFFIX?=	${WANT_PGSQL_VER}${COMPONENT}
+
+MAINTAINER=	pgsql@FreeBSD.org
+COMMENT=	Module for using Tcl to write SQL functions
+
+MASTERDIR=	${.CURDIR}/../../databases/postgresql${WANT_PGSQL_VER}-server
+
+WANT_PGSQL_VER?=13
+
+USES+=		tcl pgsql:${WANT_PGSQL_VER}
+WANT_PGSQL=	server
+
+CONFIGURE_ARGS=	--with-tcl --without-tk \
+		--with-tclconfig="${TCL_LIBDIR}" \
+		--with-includes="${TCL_INCLUDEDIR}"
+
+CONFIGURE_ENV+=	TCLSH="${TCLSH}"
+MAKE_ENV+=	TCL_INCDIR="${TCL_INCLUDEDIR}"
+
+BUILD_DIRS=	src/backend src/pl/tcl
+INSTALL_DIRS=	src/pl/tcl
+SLAVE_ONLY=	yes
+COMPONENT=	-pltcl
+
+# this port fails to build in parallel
+MAKE_JOBS_UNSAFE=	yes
+
+.include "${MASTERDIR}/Makefile"
diff --git a/databases/postgresql13-server/Makefile b/databases/postgresql13-server/Makefile
new file mode 100644
index 000000000000..3251a379b4d0
--- /dev/null
+++ b/databases/postgresql13-server/Makefile
@@ -0,0 +1,27 @@
+DISTVERSION?=	13.23
+# PORTREVISION must be ?= otherwise, all slave ports get this PORTREVISION and
+# not their own.  Probably best to keep it at ?=0 when reset here too.
+PORTREVISION?=	1
+
+MAINTAINER?=	pgsql@FreeBSD.org
+
+INSTALL_DIRS?=	src/common src/timezone src/backend \
+		src/backend/utils/mb/conversion_procs \
+		src/backend/snowball src/backend/replication/libpqwalreceiver \
+		src/backend/replication/pgoutput \
+		src/bin/initdb src/bin/pg_ctl \
+		src/bin/pg_archivecleanup src/bin/pg_basebackup \
+		src/bin/pg_checksums \
+		src/bin/pg_controldata src/bin/pg_resetwal src/pl \
+		src/bin/pg_rewind \
+		src/bin/pg_test_fsync src/bin/pg_test_timing \
+		src/bin/pg_waldump src/bin/pg_upgrade
+
+PG_USER?=	postgres
+PG_GROUP?=	postgres
+PG_UID?=	770
+
+DEPRECATED=	This is the final release of PostgreSQL 13. PostgreSQL 13 is now end-of-life and will no longer receive security and bug fixes.
+EXPIRATION_DATE=2026-02-12
+
+.include "${.CURDIR}/../postgresql18-server/Makefile"
diff --git a/databases/postgresql13-server/distinfo b/databases/postgresql13-server/distinfo
new file mode 100644
index 000000000000..654998280785
--- /dev/null
+++ b/databases/postgresql13-server/distinfo
@@ -0,0 +1,3 @@
+TIMESTAMP = 1762876340
+SHA256 (postgresql/postgresql-13.23.tar.bz2) = 6ec3c82726af92b7dec873fa1cdf881eca92a4219787dfad05acb6b10e041fd6
+SIZE (postgresql/postgresql-13.23.tar.bz2) = 21767253
diff --git a/databases/postgresql13-server/files/502.pgsql.in b/databases/postgresql13-server/files/502.pgsql.in
new file mode 100644
index 000000000000..604ad3dadab8
--- /dev/null
+++ b/databases/postgresql13-server/files/502.pgsql.in
@@ -0,0 +1,114 @@
+#!/bin/sh
+#
+# Maintenance shell script to vacuum and backup database
+# Put this in /usr/local/etc/periodic/daily, and it will be run
+# every night
+#
+# Written by Palle Girgensohn <girgen@pingpong.net>
+#
+# In public domain, do what you like with it,
+# and use it at your own risk... :)
+#
+
+# Define these variables in either /etc/periodic.conf or
+# /etc/periodic.conf.local to override the default values.
+#
+# daily_pgsql_backup_enable="YES" # do backup of all databases
+# daily_pgsql_backup_enable="foo bar db1 db2" # only do backup of a limited selection of databases
+# daily_pgsql_vacuum_enable="YES" # do vacuum
+
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+    . /etc/defaults/periodic.conf
+    source_periodic_confs
+fi
+
+: ${daily_pgsql_user:="%%PG_USER%%"}
+: ${daily_pgsql_port:=5432}
+: ${daily_pgsql_vacuum_args:="-U ${daily_pgsql_user} -p ${daily_pgsql_port} -qaz"}
+: ${daily_pgsql_pgdump_args:="-U ${daily_pgsql_user} -p ${daily_pgsql_port} -bF c"}
+: ${daily_pgsql_pgdumpall_globals_args:="-U ${daily_pgsql_user} -p ${daily_pgsql_port}"}
+# backupdir is relative to ~pgsql home directory unless it begins with a slash:
+: ${daily_pgsql_backupdir:="~${daily_pgsql_user}/backups"}
+: ${daily_pgsql_savedays:="7"}
+
+# allow '~' in directory name
+eval backupdir=${daily_pgsql_backupdir}
+
+rc=0
+
+pgsql_backup() {
+	# daily_pgsql_backupdir must be writeable by user %%PG_USER%%
+	# ~%%PG_USER%% is just that under normal circumstances,
+	# but this might not be where you want the backups...
+	if [ ! -d ${backupdir} ] ; then
+	    echo Creating ${backupdir}
+	    mkdir -m 700 ${backupdir}; chown ${daily_pgsql_user} ${backupdir}
+	fi
+
+	echo
+	echo "PostgreSQL backups"
+
+	# Protect the data
+	umask 077
+	rc=$?
+	now=`date "+%Y-%m-%dT%H:%M:%S"`
+	file=${daily_pgsql_backupdir}/pgglobals_${now}
+	su -l ${daily_pgsql_user} -c \
+		"umask 077; pg_dumpall -g ${daily_pgsql_pgdumpall_globals_args} | gzip -9 > ${file}.gz"
+
+	db=$1
+	while shift; do
+	    echo -n " $db"
+	    file=${backupdir}/pgdump_${db}_${now}
+	    su -l ${daily_pgsql_user} -c "umask 077; pg_dump ${daily_pgsql_pgdump_args} -f ${file} ${db}"
+	    [ $? -gt 0 ] && rc=3
+		db=$1
+	done
+
+	if [ $rc -gt 0 ]; then
+	    echo
+	    echo "Errors were reported during backup."
+	fi
+
+	# cleaning up old data
+	find ${backupdir} \( -name 'pgdump_*' -o -name 'pgglobals_*' -o -name '*.dat.gz' -o -name 'toc.dat' \) \
+	    -a -mtime +${daily_pgsql_savedays} -delete
+	echo
+}
+
+case "$daily_pgsql_backup_enable" in
+    [Yy][Ee][Ss])
+	dbnames=`su -l ${daily_pgsql_user} -c "umask 077; psql -U ${daily_pgsql_user} -p ${daily_pgsql_port} -q -t -A -d template1 -c SELECT\ datname\ FROM\ pg_database\ WHERE\ datname!=\'template0\'"`
+	pgsql_backup $dbnames
+	;;
+
+	[Nn][Oo])
+	;;
+
+	"")
+	;;
+
+	*)
+	pgsql_backup $daily_pgsql_backup_enable
+	;;
+esac
+
+case "$daily_pgsql_vacuum_enable" in
+    [Yy][Ee][Ss])
+
+	echo
+	echo "PostgreSQL vacuum"
+	su -l ${daily_pgsql_user} -c "vacuumdb ${daily_pgsql_vacuum_args}"
+	if [ $? -gt 0 ]
+	then
+	    echo
+	    echo "Errors were reported during vacuum."
+	    rc=3
+	fi
+	;;
+esac
+
+exit $rc
diff --git a/databases/postgresql13-server/files/dot.cshrc.in b/databases/postgresql13-server/files/dot.cshrc.in
new file mode 100644
index 000000000000..17c9ee69a7d0
--- /dev/null
+++ b/databases/postgresql13-server/files/dot.cshrc.in
@@ -0,0 +1,11 @@
+setenv PGLIB %%PREFIX%%/lib
+
+# note: PGDATA can be overridden by the -D startup option
+setenv PGDATA $HOME/data96
+
+#You might want to set some locale stuff here
+#setenv PGDATESTYLE ISO
+#setenv LC_ALL sv_SE.ISO_8859-1
+
+# if you want to make regression tests use this TZ
+#setenv TZ PST8PDT
diff --git a/databases/postgresql13-server/files/dot.profile.in b/databases/postgresql13-server/files/dot.profile.in
new file mode 100644
index 000000000000..5be3e6a36ca9
--- /dev/null
+++ b/databases/postgresql13-server/files/dot.profile.in
@@ -0,0 +1,22 @@
+PGLIB=%%PREFIX%%/lib
+
+# note: PGDATA can be overridden by the -D startup option
+PGDATA=${HOME}/data96
+
+export PATH PGLIB PGDATA
+
+# if you use the periodic script from share/postgresql/502.pgsql, you
+# can set these
+#PGDUMP_ARGS="-b -F c"
+#PGBACKUPDIR=${HOME}/backups
+#PGBACKUP_SAVE_DAYS=7
+#export PGBACKUPDIR PGDUMP_ARGS PGBACKUP_SAVE_DAYS
+
+#You might want to set some locale stuff here
+#PGDATESTYLE=ISO
+#LC_ALL=sv_SE.ISO_8859-1
+#export PGDATESTYLE LC_ALL
+
+# if you want to make regression tests use this TZ
+#TZ=PST8PDT
+#export TZ
diff --git a/databases/postgresql13-server/files/patch-doc-Makefile b/databases/postgresql13-server/files/patch-doc-Makefile
new file mode 100644
index 000000000000..d5176bfb64b5
--- /dev/null
+++ b/databases/postgresql13-server/files/patch-doc-Makefile
@@ -0,0 +1,9 @@
+--- doc/Makefile.orig	2015-10-08 21:45:57.360084007 +0200
++++ doc/Makefile	2015-10-08 21:46:04.353084097 +0200
+@@ -12,5 +12,5 @@
+ top_builddir = ..
+ include $(top_builddir)/src/Makefile.global
+ 
+-all distprep html man install installdirs uninstall clean distclean maintainer-clean:
++all distprep man install installdirs uninstall clean distclean maintainer-clean:
+ 	$(MAKE) -C src $@
diff --git a/databases/postgresql13-server/files/patch-doc-src-sgml-Makefile b/databases/postgresql13-server/files/patch-doc-src-sgml-Makefile
new file mode 100644
index 000000000000..36f5d2a8224c
--- /dev/null
+++ b/databases/postgresql13-server/files/patch-doc-src-sgml-Makefile
@@ -0,0 +1,41 @@
+--- doc/src/sgml/Makefile.orig	2018-10-15 23:12:02.000000000 +0200
++++ doc/src/sgml/Makefile	2018-10-18 22:34:13.656029000 +0200
+@@ -15,7 +15,7 @@
+ 
+ # Make "html" the default target, since that is what most people tend
+ # to want to use.
+-html:
++man:
+ 
+ # We don't need the tree-wide headers or install support here.
+ NO_GENERATED_HEADERS=yes
+@@ -26,7 +26,7 @@
+ include $(top_builddir)/src/Makefile.global
+ 
+ 
+-all: html man
++all: man
+ 
+ distprep: html distprep-man
+ 
+@@ -62,7 +62,6 @@
+ ## Man pages
+ ##
+ 
+-man distprep-man: man-stamp
+ 
+ man-stamp: stylesheet-man.xsl postgres.sgml $(ALLSGML)
+ 	$(XMLLINT) $(XMLINCLUDE) --noout --valid $(word 2,$^)
+@@ -212,10 +211,10 @@
+ ## Install
+ ##
+ 
+-install: install-html install-man
++install: install-man
+ 
+ installdirs:
+-	$(MKDIR_P) '$(DESTDIR)$(htmldir)'/html $(addprefix '$(DESTDIR)$(mandir)'/man, 1 3 $(sqlmansectnum))
++	$(MKDIR_P) $(addprefix '$(DESTDIR)$(mandir)'/man, 1 3 $(sqlmansectnum))
+ 
+ # If the install used a man directory shared with other applications, this will remove all files.
+ uninstall:
diff --git a/databases/postgresql13-server/files/patch-src-Makefile.shlib b/databases/postgresql13-server/files/patch-src-Makefile.shlib
new file mode 100644
index 000000000000..2435ffe1d280
--- /dev/null
+++ b/databases/postgresql13-server/files/patch-src-Makefile.shlib
@@ -0,0 +1,11 @@
+--- src/Makefile.shlib.bak	2013-05-06 22:57:06.000000000 +0200
++++ src/Makefile.shlib	2013-05-12 23:33:16.000000000 +0200
+@@ -87,7 +87,7 @@
+ # Testing the soname variable is a reliable way to determine whether a
+ # linkable library is being built.
+ soname		= $(shlib_major)
+-pkgconfigdir = $(libdir)/pkgconfig
++pkgconfigdir = $(prefix)/libdata/pkgconfig
+ else
+ # Naming convention for dynamically loadable modules
+ shlib		= $(NAME)$(DLSUFFIX)
diff --git a/databases/postgresql13-server/files/patch-src-backend-Makefile b/databases/postgresql13-server/files/patch-src-backend-Makefile
new file mode 100644
index 000000000000..ce8a8d558de1
--- /dev/null
+++ b/databases/postgresql13-server/files/patch-src-backend-Makefile
@@ -0,0 +1,11 @@
+--- src/backend/Makefile.orig	2009-07-07 15:58:33.000000000 +0200
++++ src/backend/Makefile	2009-07-07 15:58:57.000000000 +0200
+@@ -107,6 +107,8 @@
+ # Update the commonly used headers before building the subdirectories
+ $(SUBDIRS:%=%-recursive): $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/utils/fmgroids.h $(top_builddir)/src/include/utils/probes.h
+ 
++symlinks: $(top_builddir)/src/include/parser/gram.h $(top_builddir)/src/include/storage/lwlocknames.h
++
+ 
+ # The postgres.o target is needed by the rule in Makefile.global that
+ # creates the exports file when MAKE_EXPORTS = true.
diff --git a/databases/postgresql13-server/files/patch-src_backend_utils_misc_postgresql.conf.sample b/databases/postgresql13-server/files/patch-src_backend_utils_misc_postgresql.conf.sample
new file mode 100644
index 000000000000..9469421174a0
--- /dev/null
+++ b/databases/postgresql13-server/files/patch-src_backend_utils_misc_postgresql.conf.sample
@@ -0,0 +1,10 @@
+--- src/backend/utils/misc/postgresql.conf.sample.orig	2016-10-24 20:08:51 UTC
++++ src/backend/utils/misc/postgresql.conf.sample
+@@ -330,6 +330,7 @@
+ 
+ # - Where to Log -
+ 
++log_destination = 'syslog'
+ #log_destination = 'stderr'		# Valid values are combinations of
+ 					# stderr, csvlog, syslog, and eventlog,
+ 					# depending on platform.  csvlog
diff --git a/databases/postgresql13-server/files/pkg-message-client.in b/databases/postgresql13-server/files/pkg-message-client.in
new file mode 100644
index 000000000000..e19a03f0c806
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-client.in
@@ -0,0 +1,38 @@
+[
+{ type: install
+  message: <<EOM
+The PostgreSQL port has a collection of "side orders":
+
+postgresql-docs
+  For all of the html documentation
+
+p5-Pg
+  A perl5 API for client access to PostgreSQL databases.
+
+postgresql-tcltk 
+  If you want tcl/tk client support.
+
+postgresql-jdbc
+  For Java JDBC support.
+
+postgresql-odbc
+  For client access from unix applications using ODBC as access
+  method. Not needed to access unix PostgreSQL servers from Win32
+  using ODBC. See below.
+
+ruby-postgres, py-psycopg
+  For client access to PostgreSQL databases using the ruby & python
+  languages.
+
+postgresql-plperl, postgresql-pltcl & postgresql-plruby
+  For using perl5, tcl & ruby as procedural languages.
+
+postgresql-contrib
+  Lots of contributed utilities, postgresql functions and
+  datatypes. There you find pg_standby, pgcrypto and many other cool
+  things.
+
+etc...
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkg-message-contrib.in b/databases/postgresql13-server/files/pkg-message-contrib.in
new file mode 100644
index 000000000000..006f700a3ae1
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-contrib.in
@@ -0,0 +1,9 @@
+[
+{ type: install
+  message: <<EOM
+The PostgreSQL contrib utilities have been installed. Please see
+%%DOCSDIR%%/README-contrib
+for more information.
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkg-message-plperl.in b/databases/postgresql13-server/files/pkg-message-plperl.in
new file mode 100644
index 000000000000..dbda7daff5c2
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-plperl.in
@@ -0,0 +1,9 @@
+[
+{ type: install
+  message: <<EOM
+PL/Perl has been installed. Check the createlang(l) manpage for more
+info. You can install PL/Perl as trusted or untrusted, by using either
+"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkg-message-plpython.in b/databases/postgresql13-server/files/pkg-message-plpython.in
new file mode 100644
index 000000000000..3bd80d73d177
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-plpython.in
@@ -0,0 +1,9 @@
+[
+{ type: install
+  message: <<EOM
+PL/Python has been installed. Check the createlang(l) manpage for more
+info. You can install PL/Python by using "createlang plpythonu" (it
+exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkg-message-pltcl.in b/databases/postgresql13-server/files/pkg-message-pltcl.in
new file mode 100644
index 000000000000..c1776f7d6fb3
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-pltcl.in
@@ -0,0 +1,9 @@
+[
+{ type: install
+  message: <<EOM
+PL/Tcl has been  installed. Check the createlang(l) manpage for more
+info. You can install pltcl as trusted or untrusted, by using either
+"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkg-message-server.in b/databases/postgresql13-server/files/pkg-message-server.in
new file mode 100644
index 000000000000..6370d4a017cc
--- /dev/null
+++ b/databases/postgresql13-server/files/pkg-message-server.in
@@ -0,0 +1,71 @@
+[
+{ type: install
+  message: <<EOM
+For procedural languages and postgresql functions, please note that
+you might have to update them when updating the server.
+
+If you have many tables and many clients running, consider raising
+kern.maxfiles using sysctl(8), or reconfigure your kernel
+appropriately.
+
+The port is set up to use autovacuum for new databases, but you might
+also want to vacuum and perhaps backup your database regularly. There
+is a periodic script, %%PREFIX%%/etc/periodic/daily/502.pgsql, that
+you may find useful. You can use it to backup and perform vacuum on all
+databases nightly. Per default, it performs `vacuum analyze'. See the
+script for instructions. For autovacuum settings, please review
+~%%PG_USER%%/data/postgresql.conf.
+
+If you plan to access your PostgreSQL server using ODBC, please
+consider running the SQL script %%PREFIX%%/share/postgresql/odbc.sql
+to get the functions required for ODBC compliance.
+
+Please note that if you use the rc script,
+%%PREFIX%%/etc/rc.d/postgresql, to initialize the database, unicode
+(UTF-8) will be used to store character data by default.  Set
+postgresql_initdb_flags or use login.conf settings described below to
+alter this behaviour. See the start rc script for more info.
+
+To set limits, environment stuff like locale and collation and other
+things, you can set up a class in /etc/login.conf before initializing
+the database. Add something similar to this to /etc/login.conf:
+---
+%%PG_USER%%:\
+	:lang=en_US.UTF-8:\
+	:setenv=LC_COLLATE=C:\
+	:tc=default:
+---
+and run `cap_mkdb /etc/login.conf'.
+Then add 'postgresql_login_class="%%PG_USER%%"' to /etc/rc.conf, or
+set it as the %%PG_USER%% user's login class in /etc/passwd.
+
+======================================================================
+
+To use PostgreSQL, enable it in rc.conf using
+
+  sysrc postgresql_enable=yes
+
+To initialize the database, run
+
+  service postgresql initdb
+
+You can then start PostgreSQL by running:
+
+  service postgresql start
+
+For postmaster settings, see ~%%PG_USER%%/data/postgresql.conf
+
+NB. FreeBSD's PostgreSQL port logs to syslog by default
+    See ~%%PG_USER%%/data/postgresql.conf for more info
+
+NB. If you're not using a checksumming filesystem like ZFS, you might
+    wish to enable data checksumming. It can be enabled during
+    the initdb phase, by adding the "--data-checksums" flag to
+    the postgresql_initdb_flags rcvar. Otherwise you can enable it later by
+    pg_checksums.  Check the initdb(1) manpage for more info
+    and make sure you understand the performance implications.
+
+======================================================================
+EOM
+}
+]
diff --git a/databases/postgresql13-server/files/pkgIndex.tcl.in b/databases/postgresql13-server/files/pkgIndex.tcl.in
new file mode 100644
index 000000000000..bd8329b15c69
--- /dev/null
+++ b/databases/postgresql13-server/files/pkgIndex.tcl.in
@@ -0,0 +1,4 @@
+# Package-index file for Pgtcl-package. Enables you to load PostgreSQL
+# interface functions right into you TCL-interpreter as simply as
+#	package require Pgtcl
+package ifneeded Pgtcl 1.3 "load %%PREFIX%%/lib/libpgtcl.so"
diff --git a/databases/postgresql13-server/files/postgresql.in b/databases/postgresql13-server/files/postgresql.in
new file mode 100644
index 000000000000..3227deee0b5d
--- /dev/null
+++ b/databases/postgresql13-server/files/postgresql.in
@@ -0,0 +1,126 @@
+#!/bin/sh
+
+# PROVIDE: postgresql
+# REQUIRE: DAEMON mountlate
+# KEYWORD: shutdown
+#
+# Add the following line to /etc/rc.conf to enable PostgreSQL:
+#
+#  postgresql_enable="YES"
+#  # optional
+#  postgresql_data="/var/db/%%PG_USER%%/data%%PG_VERSION%%"
+#  postgresql_flags="-w -s -m fast"
+#  postgresql_initdb_flags="--encoding=utf-8 --lc-collate=C"
+#  # leave empty to use the login class set in in /etc/passwd:
+#  postgresql_login_class="my_custom_login_class"
+#  postgresql_profiles=""
+#
+# See %%PREFIX%%/share/doc/postgresql/README-server for more info
+#
+# This scripts takes one of the following commands:
+#
+#   start stop restart reload status initdb
+#
+# For postmaster startup options, edit ${postgresql_data}/postgresql.conf
+
+command=%%PREFIX%%/bin/pg_ctl
+
+. /etc/rc.subr
+
+load_rc_config postgresql
+
+# set defaults
+: ${postgresql_enable:="NO"}
+: ${postgresql_flags:="-w -s -m fast"}
+: ${postgresql_user:="%%PG_USER%%"}
+eval _pgdir="~${postgresql_user}/data%%PG_VERSION%%"
+: ${postgresql_data:="${_pgdir}"}
+: ${postgresql_login_class:=""}
+: ${postgresql_initdb_flags:="--encoding=utf-8 --lc-collate=C"}
+: ${postgresql_svcj_options:="net_basic"}
+
+name=postgresql
+rcvar=postgresql_enable
+extra_commands="reload initdb promote logrotate"
+
+start_cmd="postgresql_command start"
+stop_cmd="postgresql_command stop"
+restart_cmd="postgresql_command restart"
+reload_cmd="postgresql_command reload"
+status_cmd="postgresql_command status"
+promote_cmd="postgresql_command promote"
+logrotate_cmd="postgresql_command logrotate"
+
+initdb_cmd="postgresql_initdb"
+
+su_cmd="/usr/bin/su"
+
+if [ -n "$2" ]; then
+	profile="$2"
+	if [ "x${postgresql_profiles}" != "x" ]; then
+		eval postgresql_data="\${postgresql_${profile}_data:-}"
+		if [ "x${postgresql_data}" = "x" ]; then
+			echo "You must define a data directory (postgresql_${profile}_data)"
+			exit 1
+		fi
+		eval postgresql_enable="\${postgresql_${profile}_enable:-${postgresql_enable}}"
+		eval postgresql_data="\${postgresql_${profile}_data:-${postgresql_data}}"
+		eval postgresql_flags="\${postgresql_${profile}_flags:-${postgresql_flags}}"
+		eval postgresql_login_class="\${postgresql_${profile}_login_class:-${postgresql_login_class}}"
+		eval postgresql_initdb_flags="\${postgresql_${profile}_initdb_flags:-${postgresql_initdb_flags}}"
+	fi
+else
+	if [ "x${postgresql_profiles}" != "x" -a "x$1" != "x" ]; then
+		for profile in ${postgresql_profiles}; do
+			eval _enable="\${postgresql_${profile}_enable}"
+			case "x${_enable:-${postgresql_enable}}" in
+			x|x[Nn][Oo]|x[Nn][Oo][Nn][Ee])
+				continue
+				;;
+			x[Yy][Ee][Ss])
+				;;
+			*)
+				if test -z "$_enable"; then
+					_var=postgresql_enable
+				else
+					_var=postgresql_"${profile}"_enable
+				fi
+				echo "Bad value" \
+					"'${_enable:-${postgresql_enable}}'" \
+					"for ${_var}. " \
+					"Profile ${profile} skipped."
+				continue
+				;;
+			esac
+			echo "===> postgresql profile: ${profile}"
+			%%PREFIX%%/etc/rc.d/postgresql $1 ${profile}
+			retcode="$?"
+			if [ "0${retcode}" -ne 0 ]; then
+				failed="${profile} (${retcode}) ${failed:-}"
+			else
+				success="${profile} ${success:-}"
+			fi
+		done
+		exit 0
+	fi
+fi
+
+command_args="-l /dev/null -D ${postgresql_data} ${postgresql_flags}"
+
+postgresql_command()
+{
+    echo "${rc_arg} ${name}"
+    ${su_cmd} ${postgresql_login_class:+-c ${postgresql_login_class}} \
+	    -l ${postgresql_user} \
+	    -c "exec ${command} ${command_args} ${rc_arg}"
+}
+
+postgresql_initdb()
+{
+    echo "${rc_arg} ${name}"
+    ${su_cmd} ${postgresql_login_class:+-c ${postgresql_login_class}} \
+	    -l ${postgresql_user} \
+	    -c "exec %%PREFIX%%/bin/initdb ${postgresql_initdb_flags} -D ${postgresql_data} -U ${postgresql_user}"
+}
+
+run_rc_command "$1"
diff --git a/databases/postgresql13-server/pkg-descr b/databases/postgresql13-server/pkg-descr
new file mode 100644
index 000000000000..cbef6ffab2d8
--- /dev/null
+++ b/databases/postgresql13-server/pkg-descr
@@ -0,0 +1,21 @@
*** 3189 LINES SKIPPED ***